Endpoints
read_publication
Read the authorized native publication and current ETag.
Request
Authentication is required by the published contract.
curl 'https://api.ursy.cloud/v1/publications/{file_id}' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_SERVICE_TOKEN'- Scopes
- Not specified by this operation
- Execution
- At the owning service
- Risk classification
- not declared
Parameters
file_id path · string requiredSee the accepted schema for constraints.
This operation is documented here. Use the owning service with the appropriate credentials and permissions to execute it.
Response schemas and request body
{
"requestBody": null,
"responses": {
"200": {
"description": "Typed operation result; request_id correlates the request.",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": true,
"properties": {
"file": {
"type": "object",
"additionalProperties": false,
"properties": {
"schema": {
"type": "string",
"enum": [
"ursy.cloud/file/v1"
]
},
"id": {
"type": "string",
"pattern": "^file_[1-9][0-9]{0,14}$"
},
"workspace_id": {
"type": "string",
"pattern": "^ws_[1-9][0-9]*$"
},
"parent_id": {
"oneOf": [
{
"type": "string",
"pattern": "^file_[1-9][0-9]{0,14}$"
},
{
"type": "null"
}
]
},
"name": {
"type": "string",
"maxLength": 190,
"x-ursy-maxBytes": 190
},
"type": {
"type": "string",
"enum": [
"folder",
"document",
"spreadsheet",
"presentation",
"note",
"publication",
"pdf",
"uploaded_file"
]
},
"current_version_id": {
"oneOf": [
{
"type": "string",
"pattern": "^ver_[1-9][0-9]*$"
},
{
"type": "null"
}
]
},
"etag": {
"type": "string",
"pattern": "^\"[a-f0-9]{64}\"$"
},
"state": {
"type": "string",
"enum": [
"active",
"trashed"
]
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"human_url": {
"type": "string"
}
},
"required": [
"schema",
"id",
"workspace_id",
"parent_id",
"name",
"type",
"current_version_id",
"etag",
"state",
"created_at",
"updated_at",
"human_url"
]
},
"content": {
"type": "object",
"additionalProperties": false,
"properties": {
"format": {
"type": "string",
"enum": [
"ursy/publish-native"
]
},
"schemaVersion": {
"type": "integer",
"enum": [
1
]
},
"pages": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{1,64}$"
},
"name": {
"type": "string",
"maxLength": 120,
"x-ursy-maxBytes": 120
},
"size": {
"type": "string",
"enum": [
"a4",
"letter",
"square",
"business-card"
]
},
"orientation": {
"type": "string",
"enum": [
"portrait",
"landscape"
]
},
"background": {
"type": "string",
"pattern": "^#[a-fA-F0-9]{6}$"
},
"elements": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{1,64}$"
},
"type": {
"type": "string",
"enum": [
"text",
"shape"
]
},
"x": {
"type": "number",
"minimum": 0,
"maximum": 98
},
"y": {
"type": "number",
"minimum": 0,
"maximum": 98
},
"w": {
"type": "number",
"minimum": 2,
"maximum": 100
},
"h": {
"type": "number",
"minimum": 2,
"maximum": 100
},
"rotation": {
"type": "number",
"minimum": -180,
"maximum": 180
},
"text": {
"type": "string",
"maxLength": 10000,
"x-ursy-maxBytes": 10000
},
"fill": {
"type": "string",
"pattern": "^#[a-fA-F0-9]{6}$"
},
"color": {
"type": "string",
"pattern": "^#[a-fA-F0-9]{6}$"
},
"fontSize": {
"type": "number",
"minimum": 8,
"maximum": 160
},
"align": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"weight": {
"type": "integer",
"enum": [
400,
600,
700,
800
]
}
},
"required": [
"id",
"type",
"x",
"y",
"w",
"h",
"rotation",
"text",
"fill",
"color",
"fontSize",
"align",
"weight"
]
},
"minItems": 0,
"maxItems": 80
}
},
"required": [
"id",
"name",
"size",
"orientation",
"background",
"elements"
]
},
"minItems": 1,
"maxItems": 24
}
},
"required": [
"format",
"schemaVersion",
"pages"
]
},
"content_is_untrusted": {
"type": "boolean"
},
"request_id": {
"type": "string"
},
"replayed": {
"type": "boolean"
}
},
"required": [
"file",
"content",
"content_is_untrusted"
]
}
}
}
},
"default": {
"description": "Stable error envelope. 401 invalid/expired/revoked grant; 403 missing scope; 404 unavailable resource; 409 plan/idempotency conflict; 412 stale ETag; 413 size/quota; 429 rate limit.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}